cascading.operation.expression

## Class ExpressionOperation

- java.lang.Object
- - cascading.operation.BaseOperation<ScriptOperation.Context>
  - - cascading.operation.expression.ScriptOperation
    - - cascading.operation.expression.ExpressionOperation

All Implemented Interfaces:
  DeclaresResults, Operation<ScriptOperation.Context>, Traceable, Serializable

Direct Known Subclasses:
  AssertExpression, ExpressionFilter, ExpressionFunction

    public class ExpressionOperation
    extends ScriptOperation

Class ExpressionOperation is the base class for `ExpressionFunction`, `ExpressionFilter`, `AssertExpression`.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class cascading.operation.expression.ScriptOperation

`ScriptOperation.Context`

### Field Summary

### Fields inherited from class cascading.operation.expression.ScriptOperation

`block, parameterNames, parameterTypes, returnType`

### Fields inherited from class cascading.operation.BaseOperation

`fieldDeclaration, numArgs, trace`

### Fields inherited from interface cascading.operation.Operation

`ANY`

### Constructor Summary

Constructors
`protected` `ExpressionOperation(Fields fieldDeclaration, String expression)`
`protected` `ExpressionOperation(Fields fieldDeclaration, String expression, Class parameterType)`
`protected` `ExpressionOperation(Fields fieldDeclaration, String expression, String[] parameterNames, Class[] parameterTypes)`
`protected` `ExpressionOperation(String expression)`
`protected` `ExpressionOperation(String expression, Class parameterType)`
`protected` `ExpressionOperation(String expression, String[] parameterNames, Class[] parameterTypes)`

### Method Summary

Methods
`protected org.codehaus.janino.ScriptEvaluator` `getEvaluator(Class returnType, String[] parameterNames, Class[] parameterTypes)`
`String` `getExpression()`
`protected String[]` `guessParameterNames()`

### Methods inherited from class cascading.operation.expression.ScriptOperation

`equals, evaluate, getBlock, getParameterNames, getParameterTypes, getReturnType, hashCode, prepare`

### Methods inherited from class cascading.operation.BaseOperation

`cleanup, flush, getFieldDeclaration, getNumArgs, getTrace, isSafe, printOperationInternal, toString, toStringInternal`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ExpressionOperation

    @ConstructorProperties(value="expression")
    protected ExpressionOperation(String expression)

#### ExpressionOperation

    @ConstructorProperties(value={"fieldDeclaration","expression"})
    protected ExpressionOperation(Fields fieldDeclaration,
                                                  String expression)

#### ExpressionOperation

    @ConstructorProperties(value={"fieldDeclaration","expression","parameterType"})
    protected ExpressionOperation(Fields fieldDeclaration,
                                                  String expression,
                                                  Class parameterType)

#### ExpressionOperation

    @ConstructorProperties(value={"fieldDeclaration","expression","parameterNames","parameterTypes"})
    protected ExpressionOperation(Fields fieldDeclaration,
                                                  String expression,
                                                  String[] parameterNames,
                                                  Class[] parameterTypes)

#### ExpressionOperation

    @ConstructorProperties(value={"expression","parameterType"})
    protected ExpressionOperation(String expression,
                                                  Class parameterType)

#### ExpressionOperation

    @ConstructorProperties(value={"expression","parameterNames","parameterTypes"})
    protected ExpressionOperation(String expression,
                                                  String[] parameterNames,
                                                  Class[] parameterTypes)

### Method Detail

#### getExpression

    public String getExpression()

#### guessParameterNames

    protected String[] guessParameterNames()
                                    throws org.codehaus.commons.compiler.CompileException,
                                           IOException

Overrides:
  `guessParameterNames` in class `ScriptOperation`
Throws:
  `org.codehaus.commons.compiler.CompileException`
  `IOException`

#### getEvaluator

    protected org.codehaus.janino.ScriptEvaluator getEvaluator(Class returnType,
                                                   String[] parameterNames,
                                                   Class[] parameterTypes)

Overrides:
  `getEvaluator` in class `ScriptOperation`